Package org.apache.sling.jcr.webdav.impl.handler

# Class DefaultHandlerService

java.lang.Object
org.apache.sling.jcr.webdav.impl.handler.DefaultHandlerService

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.CopyMoveHandler`, `org.apache.jackrabbit.server.io.DeleteHandler`, `org.apache.jackrabbit.server.io.IOHandler`, `org.apache.jackrabbit.server.io.PropertyHandler`

public class DefaultHandlerService extends Object implements org.apache.jackrabbit.server.io.IOHandler, org.apache.jackrabbit.server.io.PropertyHandler, org.apache.jackrabbit.server.io.CopyMoveHandler, org.apache.jackrabbit.server.io.DeleteHandler
Wraps `DefaultHandler` in order to run it as a service.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`DefaultHandlerService.Config`

## Constructor Summary

Constructors
Constructor
Description
`DefaultHandlerService()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCopy(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)`
`boolean`
`canDelete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource davResource)`
`boolean`
`canExport(org.apache.jackrabbit.server.io.ExportContext context, boolean isCollection)`
`boolean`
`canExport(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource resource)`
`boolean`
`canExport(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean isCollection)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.ImportContext context, boolean isCollection)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource resource)`
`boolean`
`canImport(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean isCollection)`
`boolean`
`canMove(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)`
`boolean`
`copy(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)`
`boolean`
`delete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource davResource)`
`boolean`
`exportContent(org.apache.jackrabbit.server.io.ExportContext context, boolean isCollection)`
`boolean`
`exportContent(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource resource)`
`boolean`
`exportProperties(org.apache.jackrabbit.server.io.PropertyExportContext exportContext, boolean isCollection)`
`org.apache.jackrabbit.server.io.IOManager`
`getIOManager()`
`String`
`getName()`
`boolean`
`importContent(org.apache.jackrabbit.server.io.ImportContext context, boolean isCollection)`
`boolean`
`importContent(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource resource)`
`Map<? extends org.apache.jackrabbit.webdav.property.PropEntry,?>`
`importProperties(org.apache.jackrabbit.server.io.PropertyImportContext importContext, boolean isCollection)`
`boolean`
`move(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)`
`void`
`setIOManager(org.apache.jackrabbit.server.io.IOManager ioManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultHandlerService

public DefaultHandlerService()

## Method Details

### getIOManager

public org.apache.jackrabbit.server.io.IOManager getIOManager()

Specified by:
  `getIOManager` in interface `org.apache.jackrabbit.server.io.IOHandler`

### setIOManager

public void setIOManager(org.apache.jackrabbit.server.io.IOManager ioManager)

Specified by:
  `setIOManager` in interface `org.apache.jackrabbit.server.io.IOHandler`

### getName

public String getName()

Specified by:
  `getName` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.ImportContext context, boolean isCollection)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource resource)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### importContent

public boolean importContent(org.apache.jackrabbit.server.io.ImportContext context, boolean isCollection) throws IOException

Specified by:
  `importContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### importContent

public boolean importContent(org.apache.jackrabbit.server.io.ImportContext context, org.apache.jackrabbit.webdav.DavResource resource) throws IOException

Specified by:
  `importContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.ExportContext context, boolean isCollection)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource resource)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.IOHandler`

### exportContent

public boolean exportContent(org.apache.jackrabbit.server.io.ExportContext context, boolean isCollection) throws IOException

Specified by:
  `exportContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### exportContent

public boolean exportContent(org.apache.jackrabbit.server.io.ExportContext context, org.apache.jackrabbit.webdav.DavResource resource) throws IOException

Specified by:
  `exportContent` in interface `org.apache.jackrabbit.server.io.IOHandler`
Throws:
  `IOException`

### canExport

public boolean canExport(org.apache.jackrabbit.server.io.PropertyExportContext context, boolean isCollection)

Specified by:
  `canExport` in interface `org.apache.jackrabbit.server.io.PropertyHandler`

### exportProperties

public boolean exportProperties(org.apache.jackrabbit.server.io.PropertyExportContext exportContext, boolean isCollection) throws javax.jcr.RepositoryException

Specified by:
  `exportProperties` in interface `org.apache.jackrabbit.server.io.PropertyHandler`
Throws:
  `javax.jcr.RepositoryException`

### canImport

public boolean canImport(org.apache.jackrabbit.server.io.PropertyImportContext context, boolean isCollection)

Specified by:
  `canImport` in interface `org.apache.jackrabbit.server.io.PropertyHandler`

### importProperties

public Map<? extends org.apache.jackrabbit.webdav.property.PropEntry,?> importProperties(org.apache.jackrabbit.server.io.PropertyImportContext importContext, boolean isCollection) throws javax.jcr.RepositoryException

Specified by:
  `importProperties` in interface `org.apache.jackrabbit.server.io.PropertyHandler`
Throws:
  `javax.jcr.RepositoryException`

### canCopy

public boolean canCopy(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)

Specified by:
  `canCopy` in interface `org.apache.jackrabbit.server.io.CopyMoveHandler`

### copy

public boolean copy(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination) throws org.apache.jackrabbit.webdav.DavException

Specified by:
  `copy` in interface `org.apache.jackrabbit.server.io.CopyMoveHandler`
Throws:
  `org.apache.jackrabbit.webdav.DavException`

### canMove

public boolean canMove(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination)

Specified by:
  `canMove` in interface `org.apache.jackrabbit.server.io.CopyMoveHandler`

### move

public boolean move(org.apache.jackrabbit.server.io.CopyMoveContext context, org.apache.jackrabbit.webdav.DavResource source, org.apache.jackrabbit.webdav.DavResource destination) throws org.apache.jackrabbit.webdav.DavException

Specified by:
  `move` in interface `org.apache.jackrabbit.server.io.CopyMoveHandler`
Throws:
  `org.apache.jackrabbit.webdav.DavException`

### delete

public boolean delete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource davResource) throws org.apache.jackrabbit.webdav.DavException

Specified by:
  `delete` in interface `org.apache.jackrabbit.server.io.DeleteHandler`
Throws:
  `org.apache.jackrabbit.webdav.DavException`

### canDelete

public boolean canDelete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource davResource)

Specified by:
  `canDelete` in interface `org.apache.jackrabbit.server.io.DeleteHandler`